<template>
    <div class="app-content">
		<!-- <div class="prompt-text">加载中 . . .</div> -->
	</div>
</template>
<script>
import { mapGetters, mapState, mapActions } from 'vuex'
import { getWxQrCodeQuery } from '@/api/common'
export default {
	data() {
		return {
		}
	},
	computed: {
		// ...mapGetters({ userInfo: 'getSelfInfo' })
	},
	onLoad(options) {
		uni.showLoading({
			title: '加载中...'
		})
		if (options.redirectUrl) {
			this.compatible()
		}
		// this._getWxQrCodeQuery(options.scene)
	},
	methods: {
		// _getWxQrCodeQuery(scene) {
		// 	getWxQrCodeQuery({ scene: scene }).then(res => {
		// 		uni.hideLoading()
		// 		if (res.data.url.indexOf('https://') > -1) {
		// 			const returnUrl = encodeURIComponent(res.data.url)
		// 			uni.navigateTo({
		// 				url: `/common/webview?returnUrl=${returnUrl}`
		// 			})
		// 		} else {
		// 			uni.redirectTo({
		// 				url: res.data.url
		// 			})
		// 		}
		// 	}).catch((e) => {
		// 		this.compatible()
		// 	})
		// },
		// 兼容，如果小程序码或者接口返回有误时进入登录页
		compatible() {
			uni.hideLoading()
			if (this.option.type == 'invite') {
				// #ifdef H5
				location.href = decodeURIComponent(this.option.redirectUrl)
				// #endif
			}
			// uni.redirectTo({
			// 	url: `/pages/page/login/index`
			// })
		}
	}
}

</script>
<style lang="scss" scoped>
.prompt-text {
	padding-top: 200px;
	text-align: center;
}
</style>